## eom-debug eom-debug |

## Functions

void | eom_debug_init ()
void | eom_debug ()
void | eom_debug_message ()

## Types and Values

enum | EomDebug
#define | DEBUG_WINDOW
#define | DEBUG_VIEW
#define | DEBUG_JOBS
#define | DEBUG_THUMBNAIL
#define | DEBUG_IMAGE_DATA
#define | DEBUG_IMAGE_LOAD
#define | DEBUG_IMAGE_SAVE
#define | DEBUG_LIST_STORE
#define | DEBUG_PREFERENCES
#define | DEBUG_PRINTING
#define | DEBUG_LCMS
#define | DEBUG_PLUGINS

## Description

## Functions

### eom_debug_init ()

    void
    eom_debug_init (void);

### eom_debug ()

    void
    eom_debug (EomDebug section,
               const gchar *file,
               gint line,
               const gchar *function);

### eom_debug_message ()

    void
    eom_debug_message (EomDebug section,
                       const gchar *file,
                       gint line,
                       const gchar *function,
                       const gchar *format,
                       ...);

## Types and Values

### enum EomDebug

#### Members

EOM_DEBUG_NO_DEBUG |  |
EOM_DEBUG_WINDOW |  |
EOM_DEBUG_VIEW |  |
EOM_DEBUG_JOBS |  |
EOM_DEBUG_THUMBNAIL |  |
EOM_DEBUG_IMAGE_DATA |  |
EOM_DEBUG_IMAGE_LOAD |  |
EOM_DEBUG_IMAGE_SAVE |  |
EOM_DEBUG_LIST_STORE |  |
EOM_DEBUG_PREFERENCES |  |
EOM_DEBUG_PRINTING |  |
EOM_DEBUG_LCMS |  |
EOM_DEBUG_PLUGINS |  |

### DEBUG_WINDOW

    #define DEBUG_WINDOW		EOM_DEBUG_WINDOW,      __FILE__, __LINE__, G_STRFUNC

### DEBUG_VIEW

    #define DEBUG_VIEW		EOM_DEBUG_VIEW,        __FILE__, __LINE__, G_STRFUNC

### DEBUG_JOBS

    #define DEBUG_JOBS		EOM_DEBUG_JOBS,        __FILE__, __LINE__, G_STRFUNC

### DEBUG_THUMBNAIL

    #define DEBUG_THUMBNAIL		EOM_DEBUG_THUMBNAIL,   __FILE__, __LINE__, G_STRFUNC

### DEBUG_IMAGE_DATA

    #define DEBUG_IMAGE_DATA EOM_DEBUG_IMAGE_DATA,  __FILE__, __LINE__, G_STRFUNC

### DEBUG_IMAGE_LOAD

    #define DEBUG_IMAGE_LOAD EOM_DEBUG_IMAGE_LOAD,  __FILE__, __LINE__, G_STRFUNC

### DEBUG_IMAGE_SAVE

    #define DEBUG_IMAGE_SAVE EOM_DEBUG_IMAGE_SAVE,  __FILE__, __LINE__, G_STRFUNC

### DEBUG_LIST_STORE

    #define DEBUG_LIST_STORE EOM_DEBUG_LIST_STORE,  __FILE__, __LINE__, G_STRFUNC

### DEBUG_PREFERENCES

    #define DEBUG_PREFERENCES EOM_DEBUG_PREFERENCES, __FILE__, __LINE__, G_STRFUNC

### DEBUG_PRINTING

    #define DEBUG_PRINTING		EOM_DEBUG_PRINTING,    __FILE__, __LINE__, G_STRFUNC

### DEBUG_LCMS

    #define DEBUG_LCMS 		EOM_DEBUG_LCMS,        __FILE__, __LINE__, G_STRFUNC

### DEBUG_PLUGINS

    #define DEBUG_PLUGINS 		EOM_DEBUG_PLUGINS,     __FILE__, __LINE__, G_STRFUNC